#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/RegisterFile/include/RegisterFile.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace registerfile {


  string RegisterFile::statistics (uint32_t depth)
  {
    log_printf(FUNC,RegisterFile,"statistics","Begin");
    
    string txt;

    if (_param->_instance == instance_RegisterFile_Monolithic)
      txt = component_RegisterFile_Monolithic  ->statistics(depth);
    else
      txt = component_RegisterFile_Multi_Banked->statistics(depth);
    
    log_printf(FUNC,RegisterFile,"statistics","End");

    return txt;
  };

}; // end namespace registerfile
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
